Bug 1445356 - [RFE] Edit action is not been supported for VMS resources. [NEEDINFO]
Summary: [RFE] Edit action is not been supported for VMS resources.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.7.0
Hardware: All
OS: Linux
medium
high
Target Milestone: GA
: 5.7.3
Assignee: Jillian Tullo
QA Contact: Martin Kourim
URL:
Whiteboard: rest:api
Depends On: 1428250
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-25 14:10 UTC by Satoe Imaishi
Modified: 2020-12-14 08:33 UTC (History)
9 users (show)

Fixed In Version: 5.7.3.1
Doc Type: Enhancement
Doc Text:
Clone Of: 1428250
Environment:
Last Closed: 2017-06-28 15:01:40 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:
ealcaniz: needinfo? (jtullo)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ManageIQ manageiq pull 14623 0 None None None 2017-04-25 14:10:31 UTC
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-05-26 14:23:53 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/a62bb533be6ca328b0637264b3a7646ec14af03f

commit a62bb533be6ca328b0637264b3a7646ec14af03f
Author:     Alberto Bellotti <abellotti@users.noreply.github.com>
AuthorDate: Wed Apr 5 16:55:58 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri May 26 10:10:35 2017 -0400

    Merge pull request #14623 from jntullo/enhancement/edit_vm
    
    Edit VMs API
    (cherry picked from commit ef497d01cd21d0da36636366a0c6c5aeecc2e2c5)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1445356

 app/controllers/api/vms_controller.rb | 47 ++++++++++++++++++-
 config/api.yml                        |  2 -
 spec/requests/api/vms_spec.rb         | 86 +++++++++++++++++++++++++++++++++++
 3 files changed, 132 insertions(+), 3 deletions(-)

Comment 3 Martin Kourim 2017-06-14 14:40:19 UTC
Verified with
POST /api/vms/:id
{
  "action": "edit",
  "custom_1": "new_custom_identifier",
  "description": "new_description"
}
that it's now possible to edit vms resources using REST API.

Comment 5 errata-xmlrpc 2017-06-28 15:01:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.